gnutls_mac_get_key_size(3)

NAME
gnutls_mac_get_key_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_mac_get_key_size(gnutls_mac_algorithm_t algorithm);

ARGUMENTS

gnutls_mac_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Get size of MAC key.

RETURNS
length (in bytes) of the given MAC key size, or 0 if the given MAC algorithm is invalid.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.